/**
 * Copyright (c) 2010-2012 EBM WebSourcing, 2012-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.bc.mail.service.provide;

import java.util.logging.Logger;

import javax.jbi.JBIException;
import javax.jbi.messaging.MessagingException;

import org.ow2.petals.bc.mail.MailSessionManager;
import org.ow2.petals.bc.mail.MimeMessageManager;
import org.ow2.petals.bc.mail.MissingElementException;
import org.ow2.petals.component.framework.api.message.Exchange;

/**
 * @author Mathieu CARROLLE - EBM WebSourcing
 */
public abstract class AbstractSendService {
    
    protected final MailSessionManager mailSessionManager;

    protected final MimeMessageManager mimeMessageManager;

    protected final Logger logger;
    
    public AbstractSendService(MailSessionManager mailSessionManager,
            MimeMessageManager mimeMessageManager, Logger logger) {
        this.mailSessionManager = mailSessionManager;
        this.mimeMessageManager = mimeMessageManager;
        this.logger = logger;
    }

    /**
     * Standard service : send the jbi message content as an email<br>
     * the email address and subject are defined in the service unit
     * 
     * @param exchange
     * @throws JBIException
     */
    public abstract void sendMail(final Exchange exchange) throws MessagingException, MissingElementException;
}
